var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[Object.keys(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __reExport = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toModule = (module2) => {
  return __reExport(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? { get: () => module2.default, enumerable: true } : { value: module2, enumerable: true })), module2);
};

// node_modules/.pnpm/dotenv@11.0.0/node_modules/dotenv/lib/main.js
var require_main = __commonJS({
  "node_modules/.pnpm/dotenv@11.0.0/node_modules/dotenv/lib/main.js"(exports2, module2) {
    var fs = require("fs");
    var path = require("path");
    var os2 = require("os");
    function log(message) {
      console.log(`[dotenv][DEBUG] ${message}`);
    }
    var NEWLINE = "\n";
    var RE_INI_KEY_VAL = /^\s*([\w.-]+)\s*=\s*(.*)?\s*$/;
    var RE_NEWLINES = /\\n/g;
    var NEWLINES_MATCH = /\r\n|\n|\r/;
    function parse(src, options) {
      const debug = Boolean(options && options.debug);
      const obj = {};
      src.toString().split(NEWLINES_MATCH).forEach(function(line, idx) {
        const keyValueArr = line.match(RE_INI_KEY_VAL);
        if (keyValueArr != null) {
          const key = keyValueArr[1];
          let val = keyValueArr[2] || "";
          const end = val.length - 1;
          const isDoubleQuoted = val[0] === '"' && val[end] === '"';
          const isSingleQuoted = val[0] === "'" && val[end] === "'";
          if (isSingleQuoted || isDoubleQuoted) {
            val = val.substring(1, end);
            if (isDoubleQuoted) {
              val = val.replace(RE_NEWLINES, NEWLINE);
            }
          } else {
            val = val.trim();
          }
          obj[key] = val;
        } else if (debug) {
          log(`did not match key and value when parsing line ${idx + 1}: ${line}`);
        }
      });
      return obj;
    }
    function resolveHome(envPath) {
      return envPath[0] === "~" ? path.join(os2.homedir(), envPath.slice(1)) : envPath;
    }
    function config(options) {
      let dotenvPath = path.resolve(process.cwd(), ".env");
      let encoding = "utf8";
      const debug = Boolean(options && options.debug);
      if (options) {
        if (options.path != null) {
          dotenvPath = resolveHome(options.path);
        }
        if (options.encoding != null) {
          encoding = options.encoding;
        }
      }
      try {
        const parsed = parse(fs.readFileSync(dotenvPath, { encoding }), { debug });
        Object.keys(parsed).forEach(function(key) {
          if (!Object.prototype.hasOwnProperty.call(process.env, key)) {
            process.env[key] = parsed[key];
          } else if (debug) {
            log(`"${key}" is already defined in \`process.env\` and will not be overwritten`);
          }
        });
        return { parsed };
      } catch (e) {
        return { error: e };
      }
    }
    module2.exports.config = config;
    module2.exports.parse = parse;
  }
});

// package.json
var version = "1.2.0";

// src/index.ts
var import_os = __toModule(require("os"));
var import_path = __toModule(require("path"));
var import_logger = __toModule(require("@simplyhexagonal/logger"));
var import_logger_transport_discord = __toModule(require("@simplyhexagonal/logger-transport-discord"));
require_main().config();
if (process.argv.includes("--version")) {
  console.log(version);
  process.exit(0);
}
var { stdin } = process;
var data = "";
stdin.setEncoding("utf8");
var getInput = () => {
  return new Promise((resolve2, reject) => {
    stdin.on("data", (chunk) => {
      data += chunk;
    });
    stdin.on("end", () => {
      data = [data];
      resolve2(data);
    });
    stdin.on("error", reject);
  });
};
(async () => {
  let config;
  try {
    config = require((0, import_path.resolve)(import_os.default.homedir(), ".config/logger/logger.config.js"));
  } catch (e) {
    config = {
      transports: {}
    };
  }
  const logger = new import_logger.default({
    optionsByLevel: {
      warn: [],
      info: [],
      debug: [],
      error: [],
      fatal: [],
      all: [],
      raw: []
    },
    ...config,
    transports: {
      [`${import_logger.LoggerTransportName.DISCORD}`]: import_logger_transport_discord.default,
      ...config.transports
    }
  });
  const binArgIdx = process.argv.findIndex((arg) => /logger\./.test(arg));
  if (binArgIdx === process.argv.length - 1) {
    await getInput();
  } else {
    data = process.argv.slice(binArgIdx + 1);
  }
  const loggerBinPath = process.argv[binArgIdx];
  const level = loggerBinPath?.split("/").pop()?.split(".")[1];
  await logger[level](...data);
})();
//# sourceMappingURL=logger.js.map
